from pydantic_xml import BaseXmlModel, element

from openec2.api.shared import InstancesSet


class StartInstancesResponse(
    BaseXmlModel,
    tag="StartInstancesResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    request_id: str = element(tag="requestId")
    instancesSet: InstancesSet = element()
