from pydantic_xml import BaseXmlModel, element

from openec2.api.shared import InstancesSet


class StopInstancesResponse(
    BaseXmlModel,
    tag="StopInstancesResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"},
):
    requestId: str = element(tag="requestId")
    instancesSet: InstancesSet = element()
