from sqlmodel import SQLModel, Field


class User(SQLModel, table=True):
    id: int = Field(default=None, primary_key=True)

    # Human-readable id
    name: str

    # For request signing
    access_key: str
    secret_access_key: str
